/*
 * core.js
 *
 * this file contains all of the setup code
 *
 */

/*
 * local references to XPCOM services
 *
 */
var gPref = Components.classes["@mozilla.org/preferences-service;1"].
	    getService(Components.interfaces.nsIPrefBranch);

/*
 * setup the extension core
 *
 * PRECONDITION: None.
 * POSTCONDITION: None.
 *
 */
function TBP_init()
{

	// because of the nature of overlays and the panel selection code,
	// this is reproduced from chrome://browser/content/pref/pref.xul, and
	// refocuses the prefsCategories window in order to ensure a clean and
	// correct selection of the right panel
	var prefsCategories = document.getElementById("prefsCategories");
	if (prefsCategories) {
 		var lastPanel = 0, button;
		try {
 			lastPanel = gPref.getIntPref("browser.preferences.lastpanel");
		} 
		catch (e) {}

		prefsCategories.focus();
		button = prefsCategories.childNodes[lastPanel];
		if (button) {
			document.getElementById("panelFrame").setAttribute("src", button.getAttribute("url"));
			button.checked = true;
		}
	}
  	return true;
}
